<template>
  <div class="global-list">
    <v-list :three-line="line3" :color="bgcolor" :dense="dense">
      <template v-for="item in data">
        <v-list-item :key="item.title" class="mb-4">
          <v-list-item-avatar>
            <v-btn icon color="pink">
              <v-icon>{{ icon }}</v-icon>
            </v-btn>
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title v-if="item.title" class="text-h6 pb-3">
              {{ item.title }}
            </v-list-item-title>
            <v-list-item-subtitle v-if="item.desc" class="subtitle-1">
              {{ item.desc }}
            </v-list-item-subtitle>
            <div v-if="item.sublist" class="mr-5 ml-5 pt-4">
              <v-list-item-title
                v-for="(sub, i) in item.sublist"
                :key="i"
                class="body-2 pb-3"
              >
                {{ i + 1 }}. {{ sub.title }}
              </v-list-item-title>
            </div>
          </v-list-item-content>
        </v-list-item>
      </template>
    </v-list>
  </div>
</template>
<script>
export default {
  name: 'List',
  props: {
    line3: {
      default: true,
      type: Boolean,
    },
    dense: {
      default: false,
      type: Boolean,
    },
    data: {
      type: Array,
      required: true,
    },
    icon: {
      default: 'mdi-check',
      type: String,
    },
    bgcolor: {
      default: 'white',
      type: String,
    },
  },
  data() {
    return {};
  },
};
</script>
